statgen

Program that analyzes molecular dynamics trajectories using topological analysis.

Usage
mm_statgen -i MASK -s NUMBER,NUMBER -c X,Y,Z -a FORMAT -r FORMAT -o FILE [ -g NUMBER ] [ -l FILE ] [ -q ] [ -h ]
Parametrs
-i MASK – mask of trajectory files
-s NUMBER,NUMBER – first and last trajectory steps
-c X,Y,Z – cell size, A
-a FORMAT – numerical atom types. Maximum number of different atom types is 4. Types are comma separated
-r FORMAT – criteria, A. This flag can be used multiple times. Different interactions are comma separated. Type interaction, colon character, criterion. For example "0-0:2.4,0-1:3.0" means set 0-0 interaction as <2.4 А and 0-1 interaction as <3.0 A
-o FILE – output file
-g NUMBER – chech graph isomorphism. NUMBER is a maximum depth for search cycles (>= 3)
-l FILE – print log to specified file
-q – do not print messages to STDOUT
-h – show this help and exit

File formats

Output file (*.dat)

- Program name and version are shown in the title. For example, "statgen ::: V.1.1.0". Blank line.
- The configuration block "CONFIGURATION ... END". Print log (LOG=1), do not print messages to STDOUT (QUIET=1), mask of trajectory files (MASK=mask), first (FIRST=1) and last (LAST=1) trajectory steps, sell size (CELL=1.0000,2.0000,3.0000), atom types (ATOMS=1,2,3,4), interactions (INTERACTION=format), maximum depth for check cycle number (DEPTH=0, 0 - do not check graph isomorphism). Blank line.
- The enumeration of statistics on individual files.
  File name (FILE=mask.001), the statistic block for file "STATISTIC ... -----------------". Table layout (2 rows) follows after specifying the block. The table format
  0000001 0000001
  Space, agglomerate size (7 characters), space, number of agglomerates of this size in the file (7 characters).
  The enumeration of agglomerates in the file. Agglomerate title (AGL=2=1.3.4.) (1 – number of molecules in the agglomerate, 1.3.4. – agglomerate class, if verification of isomorphism is specified). The enumeration of molecules in the agglomerate. (0000001=2,3,4,5,) (1 – number of molecule (7 characters), equal sign, the enumeration of connected molecules separated by commas).
- The summary statistic block "SUMMARY STATISTIC … ------------------------------------------------". Table layout (2 rows) follows after specifying the block. The table format
  0000001 0000002 000003.00 004.00000 0005.00000
  Space, agglomerate size (7 characters), space, total number of agglomerates of this size (7 characters), space, average concentration of agglomerates of this size (9 characters, 2 decimal part), space, probability of finding molecules in agglomerates of this size (9 characters, 5 decimal part), space, probability of finding molecules in agglomerates of this size multiplied by the size (10 characters, 5 decimal part).
- Summary statistic of agglomerates on classes (if verification of isomorphism is specified). The proportion of linear (LINEAR=0.10000) and cyclic (CYCLE=0.10000) agglomerates, blank line, the proportion of not branched (NOT BRANCHED=0.10000) and branched (BRANCHED=0.10000) agglomerates, blank line, the proportion of found cycles of the specified size (CYCLE_03=0.10000).

Operation of the application

1. Reading titles of source files, setting values of initial variables.
2. Step by step reading of source files, settings values of variables.
   Search for interactions that satisfy the specified criteria.
   The analysis of all connections and specifying to the two molecules that connected, if the conditions are satisfied at least one of these criteria.
   Adding molecules to agglomerates according to the obtained connectivity matrix.
   Print agglomerates to the file, adding the summary statistics.
3. Print the summary statistic to the file.

Working with GUI

1. Go to the tab "Agglomeration". Set the work directory.
2. Set the mask of trajectory files.
3. Set the first and the last trajectory steps.
4. Set the cell size, A.
5. Set needed atoms.
6. Set interactions. Select type of interaction from the drop down list, change its criterion and press "Save". Press "Add" after ending of edition. After this the interaction will appear in the special window. To remove an interaction you need select the desired interaction in the special window and press "Remove".
7. Set the output file.
8. Set the maximum depth for search cycles, the log file and the graph generate if this needed.
9. For the variation of geometric criteria you need specify the criteria step changes and the number of steps.
10. Run application.